# Uses of Enum Class
org.bukkit.event.world.PortalCreateEvent.CreateReason

Packages that use PortalCreateEvent.CreateReason
Package
Description
org.bukkit.event.world
`Events` triggered by various `world` states or changes.

## Uses of PortalCreateEvent.CreateReason in org.bukkit.event.world

Methods in org.bukkit.event.world that return PortalCreateEvent.CreateReason
Modifier and Type
Method
Description
`@NotNull PortalCreateEvent.CreateReason`
PortalCreateEvent.`getReason()`
Gets the reason for the portal's creation
`static PortalCreateEvent.CreateReason`
PortalCreateEvent.CreateReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PortalCreateEvent.CreateReason[]`
PortalCreateEvent.CreateReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.world with parameters of type PortalCreateEvent.CreateReason
Modifier
Constructor
Description
``
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @NotNull PortalCreateEvent.CreateReason reason)`
Deprecated.
``
`PortalCreateEvent(@NotNull List<BlockState> blocks, @NotNull World world, @Nullable Entity entity, @NotNull PortalCreateEvent.CreateReason reason)`